"""
字符集的静态常量
"""

# 二进制字面值的字符集
BIT_LITERAL = frozenset({"0", "1"})

# 十六进制字面值的
HEX_LITERAL = frozenset({"0", "1", "2", "3", "4", "5", "6", "7", "8", "9",
                         "A", "B", "C", "D", "E", "F",
                         "a", "b", "c", "d", "e", "f"})

# 数字字符集
NUMBER = frozenset({"0", "1", "2", "3", "4", "5", "6", "7", "8", "9"})

# 当前词语匹配完成的字符集
END_TOKEN = frozenset({" ", "\n", ",", ";", "+", "-", "*", "/", "`",
                       "<", ">", "!", "%", "(", ")", "\"", "'", "=",
                       "[", "]"})

# 不包含引号的词语匹配完成的字符集
END_TOKEN_WITHOUT_QUOTE = frozenset({" ", "\n", ",", ";", "+", "-", "*", "/", "`",
                                     "<", ">", "!", "%", "(", ")", "=", "[", "]"})
